# Prerequisites

{% hint style="info" %}
**API key**: To get an API key, you must have a **Dentity** enterprise account.  If you haven't already done so, please create an account on [`this site`](https://business.dentity.com/auth/sign-up/).
{% endhint %}

### **Create a Credential Template in Dentity Enterprise Account**

After an enterprise account has been created, a credential issuer will need to create a valid template before you can get an **API key**.

* On main page, select "**Issue and Verify Credentials"**
* In the top navigation bar, select "**Credentials**"
* Click on "**Create New Credential**"
* Now, the issuer will need to create a credential template.  Fill in all required fields and add any custom data fields to your credential.  Select “Create Credential” after you’ve finished&#x20;

### **Get an API key**&#x20;

After a credential template has been successfully created, click "**Issue Credential**".  Click "**Get API Key**" to get your **API key**.  You can copy your **API key** using the copy icon.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dentity.com/reference/wallets-and-credentials/prerequisites.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
